--- !ruby/object:Gem::Specification
name: charlock_holmes
version: !ruby/object:Gem::Version
  version: 0.7.3
platform: ruby
authors:
- Brian Lopez
- Vicent Martí
autorequire: 
bindir: bin
cert_chain: []
date: 2014-06-07 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: rake-compiler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.7.5
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.7.5
- !ruby/object:Gem::Dependency
  name: minitest
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: chardet
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
description: charlock_holmes provides binary and text detection as well as text transcoding
  using libicu
email: seniorlopez@gmail.com
executables: []
extensions:
- ext/charlock_holmes/extconf.rb
extra_rdoc_files: []
files:
- .gitignore
- Gemfile
- MIT-LICENSE
- README.md
- Rakefile
- benchmark/detection.rb
- benchmark/test.txt
- charlock_holmes.gemspec
- ext/charlock_holmes/common.h
- ext/charlock_holmes/converter.c
- ext/charlock_holmes/encoding_detector.c
- ext/charlock_holmes/ext.c
- ext/charlock_holmes/extconf.rb
- ext/charlock_holmes/transliterator.cpp
- lib/charlock_holmes.rb
- lib/charlock_holmes/encoding_detector.rb
- lib/charlock_holmes/string.rb
- lib/charlock_holmes/version.rb
- test/converter_test.rb
- test/encoding_detector_test.rb
- test/fixtures/AnsiGraph.psm1
- test/fixtures/ISO-2022-KR.txt
- test/fixtures/TwigExtensionsDate.es.yml
- test/fixtures/cl-messagepack.lisp
- test/fixtures/core.rkt
- test/fixtures/foo.pdf
- test/fixtures/hello_world
- test/fixtures/laholator.py
- test/fixtures/octocat.ai
- test/fixtures/octocat.gif
- test/fixtures/octocat.jpg
- test/fixtures/octocat.png
- test/fixtures/octocat.psd
- test/fixtures/repl2.cljs
- test/fixtures/sierpinski.ps
- test/fixtures/utf16be.html
- test/fixtures/utf32be.html
- test/fixtures/utf32le.html
- test/fixtures/utf8.html
- test/fixtures/vimrc
- test/helper.rb
- test/string_methods_test.rb
- test/transliterator_test.rb
homepage: https://github.com/brianmario/charlock_holmes
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options:
- --charset=UTF-8
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.0.3
signing_key: 
specification_version: 4
summary: Character encoding detection, brought to you by ICU
test_files: []
